<?php
/**
 *	Adding support for the templates within the plugin.
 *
 *	@package		Builder Block Events
 *	@subpackage		Extras
 *	@author			Justin Kopepasah
 *	@since			1.0.0
 *
*/

if ( ! class_exists( 'BB_Events_Filters' ) ) {
	class BB_Events_Filters {
		
		function __construct() {
			add_filter( 'admin_post_thumbnail_html', array( &$this, 'image_instruction' ) );
		}
		
		function image_instruction( $content ) {
			if ( get_post_type() == 'it_bb_event' ) {
    			$content .= '<p>This events block makes use of the feature image in a unique way. It is <strong>best</strong> that you load an image that is a minimum of 960px wide.</p>';
			}
			return $content;
		}
		
	}
	new BB_Events_Filters();
}